.filter {
    max-width: 100%;
    padding: rem(25);
    background: #F5F5F5;
    border-radius: 20px;

    &__group {
        margin-bottom: rem(25);
    }

    &__label {
        display: block;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(26);
        margin-bottom: rem(20);
    }

    &__buttons {
        padding-top: rem(8);
        display: flex;
        align-items: center;
    }

    &__button {
        flex-grow: 1;

        &:not(:last-child) {
            margin-right: rem(6);
        }
    }

    .btn {
        width: 100%;
    }

    @include media-breakpoint-up(md) {

        &__wrap {
            display: grid;
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            display: block;
            grid-template-columns: 1fr;
        }
    }
}

.form-range {
    max-width: 100%;

    &__content {
        margin-bottom: rem(25);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__label {
        color: #333;
        display: block;
        font-weight: 500;
        padding-right: rem(12);
    }

    &__field {
        width: rem(86);
        flex-shrink: 0;

        + .form-range__label {
            padding-left: rem(12);
        }
    }

    &__slider {
        width: 100%;
        max-width: 100%;
        height: rem(12);
    }

    @include media-breakpoint-up(md) {
        flex-wrap: nowrap;

        &__slider {
            order: 2;
            margin: 0;
            width: 100%;
            flex-grow: 1;
            height: auto;
        }

        &__field {

            &:first-child {
                order: 1;
            }

            &:last-child {
                order: 3;
            }
        }

        &__slider {

        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {

        &__field {
            width: rem(92);
        }
    }
}
